Documentation
¶
Index ¶
- Constants
- type DeleteTrigger
- type DeleteTriggerHandler
- type DeleteTriggerHandlerFunc
- type DeleteTriggerInternalServerError
- func (o *DeleteTriggerInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *DeleteTriggerInternalServerError) WithPayload(payload *models.ErrorMessage) *DeleteTriggerInternalServerError
- func (o *DeleteTriggerInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type DeleteTriggerNotFound
- type DeleteTriggerOK
- type DeleteTriggerParams
- type DeleteTriggerURL
- func (o *DeleteTriggerURL) Build() (*url.URL, error)
- func (o *DeleteTriggerURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *DeleteTriggerURL) Must(u *url.URL, err error) *url.URL
- func (o *DeleteTriggerURL) SetBasePath(bp string)
- func (o *DeleteTriggerURL) String() string
- func (o *DeleteTriggerURL) StringFull(scheme, host string) string
- func (o *DeleteTriggerURL) WithBasePath(bp string) *DeleteTriggerURL
- type DeleteTriggerUnauthorized
- type FireTrigger
- type FireTriggerAccepted
- type FireTriggerHandler
- type FireTriggerHandlerFunc
- type FireTriggerInternalServerError
- func (o *FireTriggerInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *FireTriggerInternalServerError) WithPayload(payload *models.ErrorMessage) *FireTriggerInternalServerError
- func (o *FireTriggerInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type FireTriggerNoContent
- type FireTriggerNotFound
- type FireTriggerParams
- type FireTriggerRequestTimeout
- type FireTriggerURL
- func (o *FireTriggerURL) Build() (*url.URL, error)
- func (o *FireTriggerURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *FireTriggerURL) Must(u *url.URL, err error) *url.URL
- func (o *FireTriggerURL) SetBasePath(bp string)
- func (o *FireTriggerURL) String() string
- func (o *FireTriggerURL) StringFull(scheme, host string) string
- func (o *FireTriggerURL) WithBasePath(bp string) *FireTriggerURL
- type FireTriggerUnauthorized
- type GetAllTriggers
- type GetAllTriggersHandler
- type GetAllTriggersHandlerFunc
- type GetAllTriggersInternalServerError
- func (o *GetAllTriggersInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetAllTriggersInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllTriggersInternalServerError
- func (o *GetAllTriggersInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetAllTriggersOK
- type GetAllTriggersParams
- type GetAllTriggersURL
- func (o *GetAllTriggersURL) Build() (*url.URL, error)
- func (o *GetAllTriggersURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetAllTriggersURL) Must(u *url.URL, err error) *url.URL
- func (o *GetAllTriggersURL) SetBasePath(bp string)
- func (o *GetAllTriggersURL) String() string
- func (o *GetAllTriggersURL) StringFull(scheme, host string) string
- func (o *GetAllTriggersURL) WithBasePath(bp string) *GetAllTriggersURL
- type GetAllTriggersUnauthorized
- type GetTriggerByName
- type GetTriggerByNameHandler
- type GetTriggerByNameHandlerFunc
- type GetTriggerByNameInternalServerError
- func (o *GetTriggerByNameInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetTriggerByNameInternalServerError) WithPayload(payload *models.ErrorMessage) *GetTriggerByNameInternalServerError
- func (o *GetTriggerByNameInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetTriggerByNameNotFound
- type GetTriggerByNameOK
- type GetTriggerByNameParams
- type GetTriggerByNameURL
- func (o *GetTriggerByNameURL) Build() (*url.URL, error)
- func (o *GetTriggerByNameURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetTriggerByNameURL) Must(u *url.URL, err error) *url.URL
- func (o *GetTriggerByNameURL) SetBasePath(bp string)
- func (o *GetTriggerByNameURL) String() string
- func (o *GetTriggerByNameURL) StringFull(scheme, host string) string
- func (o *GetTriggerByNameURL) WithBasePath(bp string) *GetTriggerByNameURL
- type GetTriggerByNameUnauthorized
- type UpdateTrigger
- type UpdateTriggerBadRequest
- type UpdateTriggerConflict
- type UpdateTriggerHandler
- type UpdateTriggerHandlerFunc
- type UpdateTriggerInternalServerError
- func (o *UpdateTriggerInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *UpdateTriggerInternalServerError) WithPayload(payload *models.ErrorMessage) *UpdateTriggerInternalServerError
- func (o *UpdateTriggerInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdateTriggerOK
- type UpdateTriggerParams
- type UpdateTriggerRequestEntityTooLarge
- func (o *UpdateTriggerRequestEntityTooLarge) SetPayload(payload *models.ErrorMessage)
- func (o *UpdateTriggerRequestEntityTooLarge) WithPayload(payload *models.ErrorMessage) *UpdateTriggerRequestEntityTooLarge
- func (o *UpdateTriggerRequestEntityTooLarge) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdateTriggerURL
- func (o *UpdateTriggerURL) Build() (*url.URL, error)
- func (o *UpdateTriggerURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *UpdateTriggerURL) Must(u *url.URL, err error) *url.URL
- func (o *UpdateTriggerURL) SetBasePath(bp string)
- func (o *UpdateTriggerURL) String() string
- func (o *UpdateTriggerURL) StringFull(scheme, host string) string
- func (o *UpdateTriggerURL) WithBasePath(bp string) *UpdateTriggerURL
- type UpdateTriggerUnauthorized
Constants ¶
const DeleteTriggerInternalServerErrorCode int = 500
DeleteTriggerInternalServerErrorCode is the HTTP code returned for type DeleteTriggerInternalServerError
const DeleteTriggerNotFoundCode int = 404
DeleteTriggerNotFoundCode is the HTTP code returned for type DeleteTriggerNotFound
const DeleteTriggerOKCode int = 200
DeleteTriggerOKCode is the HTTP code returned for type DeleteTriggerOK
DeleteTriggerUnauthorizedCode is the HTTP code returned for type DeleteTriggerUnauthorized
const FireTriggerAcceptedCode int = 202
FireTriggerAcceptedCode is the HTTP code returned for type FireTriggerAccepted
const FireTriggerInternalServerErrorCode int = 500
FireTriggerInternalServerErrorCode is the HTTP code returned for type FireTriggerInternalServerError
const FireTriggerNoContentCode int = 204
FireTriggerNoContentCode is the HTTP code returned for type FireTriggerNoContent
const FireTriggerNotFoundCode int = 404
FireTriggerNotFoundCode is the HTTP code returned for type FireTriggerNotFound
const FireTriggerRequestTimeoutCode int = 408
FireTriggerRequestTimeoutCode is the HTTP code returned for type FireTriggerRequestTimeout
FireTriggerUnauthorizedCode is the HTTP code returned for type FireTriggerUnauthorized
const GetAllTriggersInternalServerErrorCode int = 500
GetAllTriggersInternalServerErrorCode is the HTTP code returned for type GetAllTriggersInternalServerError
const GetAllTriggersOKCode int = 200
GetAllTriggersOKCode is the HTTP code returned for type GetAllTriggersOK
GetAllTriggersUnauthorizedCode is the HTTP code returned for type GetAllTriggersUnauthorized
const GetTriggerByNameInternalServerErrorCode int = 500
GetTriggerByNameInternalServerErrorCode is the HTTP code returned for type GetTriggerByNameInternalServerError
const GetTriggerByNameNotFoundCode int = 404
GetTriggerByNameNotFoundCode is the HTTP code returned for type GetTriggerByNameNotFound
const GetTriggerByNameOKCode int = 200
GetTriggerByNameOKCode is the HTTP code returned for type GetTriggerByNameOK
GetTriggerByNameUnauthorizedCode is the HTTP code returned for type GetTriggerByNameUnauthorized
const UpdateTriggerBadRequestCode int = 400
UpdateTriggerBadRequestCode is the HTTP code returned for type UpdateTriggerBadRequest
const UpdateTriggerConflictCode int = 409
UpdateTriggerConflictCode is the HTTP code returned for type UpdateTriggerConflict
const UpdateTriggerInternalServerErrorCode int = 500
UpdateTriggerInternalServerErrorCode is the HTTP code returned for type UpdateTriggerInternalServerError
const UpdateTriggerOKCode int = 200
UpdateTriggerOKCode is the HTTP code returned for type UpdateTriggerOK
const UpdateTriggerRequestEntityTooLargeCode int = 413
UpdateTriggerRequestEntityTooLargeCode is the HTTP code returned for type UpdateTriggerRequestEntityTooLarge
UpdateTriggerUnauthorizedCode is the HTTP code returned for type UpdateTriggerUnauthorized
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type DeleteTrigger ¶
type DeleteTrigger struct {
Context *middleware.Context
Handler DeleteTriggerHandler
}
DeleteTrigger swagger:route DELETE /namespaces/{namespace}/triggers/{triggerName} Triggers deleteTrigger
Delete a trigger ¶
Delete a trigger
func NewDeleteTrigger ¶
func NewDeleteTrigger(ctx *middleware.Context, handler DeleteTriggerHandler) *DeleteTrigger
NewDeleteTrigger creates a new http.Handler for the delete trigger operation
func (*DeleteTrigger) ServeHTTP ¶
func (o *DeleteTrigger) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type DeleteTriggerHandler ¶
type DeleteTriggerHandler interface {
Handle(DeleteTriggerParams, *models.Principal) middleware.Responder
}
DeleteTriggerHandler interface for that can handle valid delete trigger params
type DeleteTriggerHandlerFunc ¶
type DeleteTriggerHandlerFunc func(DeleteTriggerParams, *models.Principal) middleware.Responder
DeleteTriggerHandlerFunc turns a function with the right signature into a delete trigger handler
func (DeleteTriggerHandlerFunc) Handle ¶
func (fn DeleteTriggerHandlerFunc) Handle(params DeleteTriggerParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type DeleteTriggerInternalServerError ¶
type DeleteTriggerInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeleteTriggerInternalServerError Server error
swagger:response deleteTriggerInternalServerError
func NewDeleteTriggerInternalServerError ¶
func NewDeleteTriggerInternalServerError() *DeleteTriggerInternalServerError
NewDeleteTriggerInternalServerError creates DeleteTriggerInternalServerError with default headers values
func (*DeleteTriggerInternalServerError) SetPayload ¶
func (o *DeleteTriggerInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete trigger internal server error response
func (*DeleteTriggerInternalServerError) WithPayload ¶
func (o *DeleteTriggerInternalServerError) WithPayload(payload *models.ErrorMessage) *DeleteTriggerInternalServerError
WithPayload adds the payload to the delete trigger internal server error response
func (*DeleteTriggerInternalServerError) WriteResponse ¶
func (o *DeleteTriggerInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteTriggerNotFound ¶
type DeleteTriggerNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeleteTriggerNotFound Item not found
swagger:response deleteTriggerNotFound
func NewDeleteTriggerNotFound ¶
func NewDeleteTriggerNotFound() *DeleteTriggerNotFound
NewDeleteTriggerNotFound creates DeleteTriggerNotFound with default headers values
func (*DeleteTriggerNotFound) SetPayload ¶
func (o *DeleteTriggerNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete trigger not found response
func (*DeleteTriggerNotFound) WithPayload ¶
func (o *DeleteTriggerNotFound) WithPayload(payload *models.ErrorMessage) *DeleteTriggerNotFound
WithPayload adds the payload to the delete trigger not found response
func (*DeleteTriggerNotFound) WriteResponse ¶
func (o *DeleteTriggerNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteTriggerOK ¶
type DeleteTriggerOK struct {
}
DeleteTriggerOK Deleted Item
swagger:response deleteTriggerOK
func NewDeleteTriggerOK ¶
func NewDeleteTriggerOK() *DeleteTriggerOK
NewDeleteTriggerOK creates DeleteTriggerOK with default headers values
func (*DeleteTriggerOK) WriteResponse ¶
func (o *DeleteTriggerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteTriggerParams ¶
type DeleteTriggerParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of trigger to delete
Required: true
In: path
*/
TriggerName string
}
DeleteTriggerParams contains all the bound params for the delete trigger operation typically these are obtained from a http.Request
swagger:parameters deleteTrigger
func NewDeleteTriggerParams ¶
func NewDeleteTriggerParams() DeleteTriggerParams
NewDeleteTriggerParams creates a new DeleteTriggerParams object no default values defined in spec.
func (*DeleteTriggerParams) BindRequest ¶
func (o *DeleteTriggerParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewDeleteTriggerParams() beforehand.
type DeleteTriggerURL ¶
type DeleteTriggerURL struct {
Namespace string
TriggerName string
// contains filtered or unexported fields
}
DeleteTriggerURL generates an URL for the delete trigger operation
func (*DeleteTriggerURL) Build ¶
func (o *DeleteTriggerURL) Build() (*url.URL, error)
Build a url path and query string
func (*DeleteTriggerURL) BuildFull ¶
func (o *DeleteTriggerURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*DeleteTriggerURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*DeleteTriggerURL) SetBasePath ¶
func (o *DeleteTriggerURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*DeleteTriggerURL) String ¶
func (o *DeleteTriggerURL) String() string
String returns the string representation of the path with query string
func (*DeleteTriggerURL) StringFull ¶
func (o *DeleteTriggerURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*DeleteTriggerURL) WithBasePath ¶
func (o *DeleteTriggerURL) WithBasePath(bp string) *DeleteTriggerURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type DeleteTriggerUnauthorized ¶
type DeleteTriggerUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeleteTriggerUnauthorized Unauthorized request
swagger:response deleteTriggerUnauthorized
func NewDeleteTriggerUnauthorized ¶
func NewDeleteTriggerUnauthorized() *DeleteTriggerUnauthorized
NewDeleteTriggerUnauthorized creates DeleteTriggerUnauthorized with default headers values
func (*DeleteTriggerUnauthorized) SetPayload ¶
func (o *DeleteTriggerUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete trigger unauthorized response
func (*DeleteTriggerUnauthorized) WithPayload ¶
func (o *DeleteTriggerUnauthorized) WithPayload(payload *models.ErrorMessage) *DeleteTriggerUnauthorized
WithPayload adds the payload to the delete trigger unauthorized response
func (*DeleteTriggerUnauthorized) WriteResponse ¶
func (o *DeleteTriggerUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type FireTrigger ¶
type FireTrigger struct {
Context *middleware.Context
Handler FireTriggerHandler
}
FireTrigger swagger:route POST /namespaces/{namespace}/triggers/{triggerName} Triggers fireTrigger
Fire a trigger ¶
Fire a trigger
func NewFireTrigger ¶
func NewFireTrigger(ctx *middleware.Context, handler FireTriggerHandler) *FireTrigger
NewFireTrigger creates a new http.Handler for the fire trigger operation
func (*FireTrigger) ServeHTTP ¶
func (o *FireTrigger) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type FireTriggerAccepted ¶
type FireTriggerAccepted struct {
/*
In: Body
*/
Payload *models.ActivationID `json:"body,omitempty"`
}
FireTriggerAccepted Activation id
swagger:response fireTriggerAccepted
func NewFireTriggerAccepted ¶
func NewFireTriggerAccepted() *FireTriggerAccepted
NewFireTriggerAccepted creates FireTriggerAccepted with default headers values
func (*FireTriggerAccepted) SetPayload ¶
func (o *FireTriggerAccepted) SetPayload(payload *models.ActivationID)
SetPayload sets the payload to the fire trigger accepted response
func (*FireTriggerAccepted) WithPayload ¶
func (o *FireTriggerAccepted) WithPayload(payload *models.ActivationID) *FireTriggerAccepted
WithPayload adds the payload to the fire trigger accepted response
func (*FireTriggerAccepted) WriteResponse ¶
func (o *FireTriggerAccepted) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type FireTriggerHandler ¶
type FireTriggerHandler interface {
Handle(FireTriggerParams, *models.Principal) middleware.Responder
}
FireTriggerHandler interface for that can handle valid fire trigger params
type FireTriggerHandlerFunc ¶
type FireTriggerHandlerFunc func(FireTriggerParams, *models.Principal) middleware.Responder
FireTriggerHandlerFunc turns a function with the right signature into a fire trigger handler
func (FireTriggerHandlerFunc) Handle ¶
func (fn FireTriggerHandlerFunc) Handle(params FireTriggerParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type FireTriggerInternalServerError ¶
type FireTriggerInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
FireTriggerInternalServerError Server error
swagger:response fireTriggerInternalServerError
func NewFireTriggerInternalServerError ¶
func NewFireTriggerInternalServerError() *FireTriggerInternalServerError
NewFireTriggerInternalServerError creates FireTriggerInternalServerError with default headers values
func (*FireTriggerInternalServerError) SetPayload ¶
func (o *FireTriggerInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the fire trigger internal server error response
func (*FireTriggerInternalServerError) WithPayload ¶
func (o *FireTriggerInternalServerError) WithPayload(payload *models.ErrorMessage) *FireTriggerInternalServerError
WithPayload adds the payload to the fire trigger internal server error response
func (*FireTriggerInternalServerError) WriteResponse ¶
func (o *FireTriggerInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type FireTriggerNoContent ¶
type FireTriggerNoContent struct {
}
FireTriggerNoContent Trigger has no active rules
swagger:response fireTriggerNoContent
func NewFireTriggerNoContent ¶
func NewFireTriggerNoContent() *FireTriggerNoContent
NewFireTriggerNoContent creates FireTriggerNoContent with default headers values
func (*FireTriggerNoContent) WriteResponse ¶
func (o *FireTriggerNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type FireTriggerNotFound ¶
type FireTriggerNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
FireTriggerNotFound Item not found
swagger:response fireTriggerNotFound
func NewFireTriggerNotFound ¶
func NewFireTriggerNotFound() *FireTriggerNotFound
NewFireTriggerNotFound creates FireTriggerNotFound with default headers values
func (*FireTriggerNotFound) SetPayload ¶
func (o *FireTriggerNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the fire trigger not found response
func (*FireTriggerNotFound) WithPayload ¶
func (o *FireTriggerNotFound) WithPayload(payload *models.ErrorMessage) *FireTriggerNotFound
WithPayload adds the payload to the fire trigger not found response
func (*FireTriggerNotFound) WriteResponse ¶
func (o *FireTriggerNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type FireTriggerParams ¶
type FireTriggerParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*The trigger payload
In: body
*/
Payload interface{}
/*Name of trigger being fired
Required: true
In: path
*/
TriggerName string
}
FireTriggerParams contains all the bound params for the fire trigger operation typically these are obtained from a http.Request
swagger:parameters fireTrigger
func NewFireTriggerParams ¶
func NewFireTriggerParams() FireTriggerParams
NewFireTriggerParams creates a new FireTriggerParams object no default values defined in spec.
func (*FireTriggerParams) BindRequest ¶
func (o *FireTriggerParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewFireTriggerParams() beforehand.
type FireTriggerRequestTimeout ¶
type FireTriggerRequestTimeout struct {
}
FireTriggerRequestTimeout Request timed out
swagger:response fireTriggerRequestTimeout
func NewFireTriggerRequestTimeout ¶
func NewFireTriggerRequestTimeout() *FireTriggerRequestTimeout
NewFireTriggerRequestTimeout creates FireTriggerRequestTimeout with default headers values
func (*FireTriggerRequestTimeout) WriteResponse ¶
func (o *FireTriggerRequestTimeout) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type FireTriggerURL ¶
type FireTriggerURL struct {
Namespace string
TriggerName string
// contains filtered or unexported fields
}
FireTriggerURL generates an URL for the fire trigger operation
func (*FireTriggerURL) Build ¶
func (o *FireTriggerURL) Build() (*url.URL, error)
Build a url path and query string
func (*FireTriggerURL) BuildFull ¶
func (o *FireTriggerURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*FireTriggerURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*FireTriggerURL) SetBasePath ¶
func (o *FireTriggerURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*FireTriggerURL) String ¶
func (o *FireTriggerURL) String() string
String returns the string representation of the path with query string
func (*FireTriggerURL) StringFull ¶
func (o *FireTriggerURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*FireTriggerURL) WithBasePath ¶
func (o *FireTriggerURL) WithBasePath(bp string) *FireTriggerURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type FireTriggerUnauthorized ¶
type FireTriggerUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
FireTriggerUnauthorized Unauthorized request
swagger:response fireTriggerUnauthorized
func NewFireTriggerUnauthorized ¶
func NewFireTriggerUnauthorized() *FireTriggerUnauthorized
NewFireTriggerUnauthorized creates FireTriggerUnauthorized with default headers values
func (*FireTriggerUnauthorized) SetPayload ¶
func (o *FireTriggerUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the fire trigger unauthorized response
func (*FireTriggerUnauthorized) WithPayload ¶
func (o *FireTriggerUnauthorized) WithPayload(payload *models.ErrorMessage) *FireTriggerUnauthorized
WithPayload adds the payload to the fire trigger unauthorized response
func (*FireTriggerUnauthorized) WriteResponse ¶
func (o *FireTriggerUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllTriggers ¶
type GetAllTriggers struct {
Context *middleware.Context
Handler GetAllTriggersHandler
}
GetAllTriggers swagger:route GET /namespaces/{namespace}/triggers Triggers getAllTriggers
Get all triggers ¶
Get all triggers
func NewGetAllTriggers ¶
func NewGetAllTriggers(ctx *middleware.Context, handler GetAllTriggersHandler) *GetAllTriggers
NewGetAllTriggers creates a new http.Handler for the get all triggers operation
func (*GetAllTriggers) ServeHTTP ¶
func (o *GetAllTriggers) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetAllTriggersHandler ¶
type GetAllTriggersHandler interface {
Handle(GetAllTriggersParams, *models.Principal) middleware.Responder
}
GetAllTriggersHandler interface for that can handle valid get all triggers params
type GetAllTriggersHandlerFunc ¶
type GetAllTriggersHandlerFunc func(GetAllTriggersParams, *models.Principal) middleware.Responder
GetAllTriggersHandlerFunc turns a function with the right signature into a get all triggers handler
func (GetAllTriggersHandlerFunc) Handle ¶
func (fn GetAllTriggersHandlerFunc) Handle(params GetAllTriggersParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetAllTriggersInternalServerError ¶
type GetAllTriggersInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllTriggersInternalServerError Server error
swagger:response getAllTriggersInternalServerError
func NewGetAllTriggersInternalServerError ¶
func NewGetAllTriggersInternalServerError() *GetAllTriggersInternalServerError
NewGetAllTriggersInternalServerError creates GetAllTriggersInternalServerError with default headers values
func (*GetAllTriggersInternalServerError) SetPayload ¶
func (o *GetAllTriggersInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all triggers internal server error response
func (*GetAllTriggersInternalServerError) WithPayload ¶
func (o *GetAllTriggersInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllTriggersInternalServerError
WithPayload adds the payload to the get all triggers internal server error response
func (*GetAllTriggersInternalServerError) WriteResponse ¶
func (o *GetAllTriggersInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllTriggersOK ¶
GetAllTriggersOK Triggers response
swagger:response getAllTriggersOK
func NewGetAllTriggersOK ¶
func NewGetAllTriggersOK() *GetAllTriggersOK
NewGetAllTriggersOK creates GetAllTriggersOK with default headers values
func (*GetAllTriggersOK) SetPayload ¶
func (o *GetAllTriggersOK) SetPayload(payload []*models.Trigger)
SetPayload sets the payload to the get all triggers o k response
func (*GetAllTriggersOK) WithPayload ¶
func (o *GetAllTriggersOK) WithPayload(payload []*models.Trigger) *GetAllTriggersOK
WithPayload adds the payload to the get all triggers o k response
func (*GetAllTriggersOK) WriteResponse ¶
func (o *GetAllTriggersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllTriggersParams ¶
type GetAllTriggersParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Number of entities to include in the result (0-200). The default limit is 30. A value of 0 sets the limit to the maximum.
In: query
*/
Limit *int64
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Number of entities to skip in the result.
In: query
*/
Skip *int64
}
GetAllTriggersParams contains all the bound params for the get all triggers operation typically these are obtained from a http.Request
swagger:parameters getAllTriggers
func NewGetAllTriggersParams ¶
func NewGetAllTriggersParams() GetAllTriggersParams
NewGetAllTriggersParams creates a new GetAllTriggersParams object no default values defined in spec.
func (*GetAllTriggersParams) BindRequest ¶
func (o *GetAllTriggersParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetAllTriggersParams() beforehand.
type GetAllTriggersURL ¶
type GetAllTriggersURL struct {
Namespace string
Limit *int64
Skip *int64
// contains filtered or unexported fields
}
GetAllTriggersURL generates an URL for the get all triggers operation
func (*GetAllTriggersURL) Build ¶
func (o *GetAllTriggersURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetAllTriggersURL) BuildFull ¶
func (o *GetAllTriggersURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetAllTriggersURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetAllTriggersURL) SetBasePath ¶
func (o *GetAllTriggersURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetAllTriggersURL) String ¶
func (o *GetAllTriggersURL) String() string
String returns the string representation of the path with query string
func (*GetAllTriggersURL) StringFull ¶
func (o *GetAllTriggersURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetAllTriggersURL) WithBasePath ¶
func (o *GetAllTriggersURL) WithBasePath(bp string) *GetAllTriggersURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetAllTriggersUnauthorized ¶
type GetAllTriggersUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllTriggersUnauthorized Unauthorized request
swagger:response getAllTriggersUnauthorized
func NewGetAllTriggersUnauthorized ¶
func NewGetAllTriggersUnauthorized() *GetAllTriggersUnauthorized
NewGetAllTriggersUnauthorized creates GetAllTriggersUnauthorized with default headers values
func (*GetAllTriggersUnauthorized) SetPayload ¶
func (o *GetAllTriggersUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all triggers unauthorized response
func (*GetAllTriggersUnauthorized) WithPayload ¶
func (o *GetAllTriggersUnauthorized) WithPayload(payload *models.ErrorMessage) *GetAllTriggersUnauthorized
WithPayload adds the payload to the get all triggers unauthorized response
func (*GetAllTriggersUnauthorized) WriteResponse ¶
func (o *GetAllTriggersUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTriggerByName ¶
type GetTriggerByName struct {
Context *middleware.Context
Handler GetTriggerByNameHandler
}
GetTriggerByName swagger:route GET /namespaces/{namespace}/triggers/{triggerName} Triggers getTriggerByName
Get trigger information ¶
Get trigger information
func NewGetTriggerByName ¶
func NewGetTriggerByName(ctx *middleware.Context, handler GetTriggerByNameHandler) *GetTriggerByName
NewGetTriggerByName creates a new http.Handler for the get trigger by name operation
func (*GetTriggerByName) ServeHTTP ¶
func (o *GetTriggerByName) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetTriggerByNameHandler ¶
type GetTriggerByNameHandler interface {
Handle(GetTriggerByNameParams, *models.Principal) middleware.Responder
}
GetTriggerByNameHandler interface for that can handle valid get trigger by name params
type GetTriggerByNameHandlerFunc ¶
type GetTriggerByNameHandlerFunc func(GetTriggerByNameParams, *models.Principal) middleware.Responder
GetTriggerByNameHandlerFunc turns a function with the right signature into a get trigger by name handler
func (GetTriggerByNameHandlerFunc) Handle ¶
func (fn GetTriggerByNameHandlerFunc) Handle(params GetTriggerByNameParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetTriggerByNameInternalServerError ¶
type GetTriggerByNameInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetTriggerByNameInternalServerError Server error
swagger:response getTriggerByNameInternalServerError
func NewGetTriggerByNameInternalServerError ¶
func NewGetTriggerByNameInternalServerError() *GetTriggerByNameInternalServerError
NewGetTriggerByNameInternalServerError creates GetTriggerByNameInternalServerError with default headers values
func (*GetTriggerByNameInternalServerError) SetPayload ¶
func (o *GetTriggerByNameInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get trigger by name internal server error response
func (*GetTriggerByNameInternalServerError) WithPayload ¶
func (o *GetTriggerByNameInternalServerError) WithPayload(payload *models.ErrorMessage) *GetTriggerByNameInternalServerError
WithPayload adds the payload to the get trigger by name internal server error response
func (*GetTriggerByNameInternalServerError) WriteResponse ¶
func (o *GetTriggerByNameInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTriggerByNameNotFound ¶
type GetTriggerByNameNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetTriggerByNameNotFound Item not found
swagger:response getTriggerByNameNotFound
func NewGetTriggerByNameNotFound ¶
func NewGetTriggerByNameNotFound() *GetTriggerByNameNotFound
NewGetTriggerByNameNotFound creates GetTriggerByNameNotFound with default headers values
func (*GetTriggerByNameNotFound) SetPayload ¶
func (o *GetTriggerByNameNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get trigger by name not found response
func (*GetTriggerByNameNotFound) WithPayload ¶
func (o *GetTriggerByNameNotFound) WithPayload(payload *models.ErrorMessage) *GetTriggerByNameNotFound
WithPayload adds the payload to the get trigger by name not found response
func (*GetTriggerByNameNotFound) WriteResponse ¶
func (o *GetTriggerByNameNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTriggerByNameOK ¶
GetTriggerByNameOK Returned trigger
swagger:response getTriggerByNameOK
func NewGetTriggerByNameOK ¶
func NewGetTriggerByNameOK() *GetTriggerByNameOK
NewGetTriggerByNameOK creates GetTriggerByNameOK with default headers values
func (*GetTriggerByNameOK) SetPayload ¶
func (o *GetTriggerByNameOK) SetPayload(payload *models.Trigger)
SetPayload sets the payload to the get trigger by name o k response
func (*GetTriggerByNameOK) WithPayload ¶
func (o *GetTriggerByNameOK) WithPayload(payload *models.Trigger) *GetTriggerByNameOK
WithPayload adds the payload to the get trigger by name o k response
func (*GetTriggerByNameOK) WriteResponse ¶
func (o *GetTriggerByNameOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTriggerByNameParams ¶
type GetTriggerByNameParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of trigger to fetch
Required: true
In: path
*/
TriggerName string
}
GetTriggerByNameParams contains all the bound params for the get trigger by name operation typically these are obtained from a http.Request
swagger:parameters getTriggerByName
func NewGetTriggerByNameParams ¶
func NewGetTriggerByNameParams() GetTriggerByNameParams
NewGetTriggerByNameParams creates a new GetTriggerByNameParams object no default values defined in spec.
func (*GetTriggerByNameParams) BindRequest ¶
func (o *GetTriggerByNameParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetTriggerByNameParams() beforehand.
type GetTriggerByNameURL ¶
type GetTriggerByNameURL struct {
Namespace string
TriggerName string
// contains filtered or unexported fields
}
GetTriggerByNameURL generates an URL for the get trigger by name operation
func (*GetTriggerByNameURL) Build ¶
func (o *GetTriggerByNameURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetTriggerByNameURL) BuildFull ¶
func (o *GetTriggerByNameURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetTriggerByNameURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetTriggerByNameURL) SetBasePath ¶
func (o *GetTriggerByNameURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetTriggerByNameURL) String ¶
func (o *GetTriggerByNameURL) String() string
String returns the string representation of the path with query string
func (*GetTriggerByNameURL) StringFull ¶
func (o *GetTriggerByNameURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetTriggerByNameURL) WithBasePath ¶
func (o *GetTriggerByNameURL) WithBasePath(bp string) *GetTriggerByNameURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetTriggerByNameUnauthorized ¶
type GetTriggerByNameUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetTriggerByNameUnauthorized Unauthorized request
swagger:response getTriggerByNameUnauthorized
func NewGetTriggerByNameUnauthorized ¶
func NewGetTriggerByNameUnauthorized() *GetTriggerByNameUnauthorized
NewGetTriggerByNameUnauthorized creates GetTriggerByNameUnauthorized with default headers values
func (*GetTriggerByNameUnauthorized) SetPayload ¶
func (o *GetTriggerByNameUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get trigger by name unauthorized response
func (*GetTriggerByNameUnauthorized) WithPayload ¶
func (o *GetTriggerByNameUnauthorized) WithPayload(payload *models.ErrorMessage) *GetTriggerByNameUnauthorized
WithPayload adds the payload to the get trigger by name unauthorized response
func (*GetTriggerByNameUnauthorized) WriteResponse ¶
func (o *GetTriggerByNameUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateTrigger ¶
type UpdateTrigger struct {
Context *middleware.Context
Handler UpdateTriggerHandler
}
UpdateTrigger swagger:route PUT /namespaces/{namespace}/triggers/{triggerName} Triggers updateTrigger
Update a trigger ¶
Update a trigger
func NewUpdateTrigger ¶
func NewUpdateTrigger(ctx *middleware.Context, handler UpdateTriggerHandler) *UpdateTrigger
NewUpdateTrigger creates a new http.Handler for the update trigger operation
func (*UpdateTrigger) ServeHTTP ¶
func (o *UpdateTrigger) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type UpdateTriggerBadRequest ¶
type UpdateTriggerBadRequest struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateTriggerBadRequest Bad request
swagger:response updateTriggerBadRequest
func NewUpdateTriggerBadRequest ¶
func NewUpdateTriggerBadRequest() *UpdateTriggerBadRequest
NewUpdateTriggerBadRequest creates UpdateTriggerBadRequest with default headers values
func (*UpdateTriggerBadRequest) SetPayload ¶
func (o *UpdateTriggerBadRequest) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update trigger bad request response
func (*UpdateTriggerBadRequest) WithPayload ¶
func (o *UpdateTriggerBadRequest) WithPayload(payload *models.ErrorMessage) *UpdateTriggerBadRequest
WithPayload adds the payload to the update trigger bad request response
func (*UpdateTriggerBadRequest) WriteResponse ¶
func (o *UpdateTriggerBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateTriggerConflict ¶
type UpdateTriggerConflict struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateTriggerConflict Conflicting item already exists
swagger:response updateTriggerConflict
func NewUpdateTriggerConflict ¶
func NewUpdateTriggerConflict() *UpdateTriggerConflict
NewUpdateTriggerConflict creates UpdateTriggerConflict with default headers values
func (*UpdateTriggerConflict) SetPayload ¶
func (o *UpdateTriggerConflict) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update trigger conflict response
func (*UpdateTriggerConflict) WithPayload ¶
func (o *UpdateTriggerConflict) WithPayload(payload *models.ErrorMessage) *UpdateTriggerConflict
WithPayload adds the payload to the update trigger conflict response
func (*UpdateTriggerConflict) WriteResponse ¶
func (o *UpdateTriggerConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateTriggerHandler ¶
type UpdateTriggerHandler interface {
Handle(UpdateTriggerParams, *models.Principal) middleware.Responder
}
UpdateTriggerHandler interface for that can handle valid update trigger params
type UpdateTriggerHandlerFunc ¶
type UpdateTriggerHandlerFunc func(UpdateTriggerParams, *models.Principal) middleware.Responder
UpdateTriggerHandlerFunc turns a function with the right signature into a update trigger handler
func (UpdateTriggerHandlerFunc) Handle ¶
func (fn UpdateTriggerHandlerFunc) Handle(params UpdateTriggerParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type UpdateTriggerInternalServerError ¶
type UpdateTriggerInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateTriggerInternalServerError Server error
swagger:response updateTriggerInternalServerError
func NewUpdateTriggerInternalServerError ¶
func NewUpdateTriggerInternalServerError() *UpdateTriggerInternalServerError
NewUpdateTriggerInternalServerError creates UpdateTriggerInternalServerError with default headers values
func (*UpdateTriggerInternalServerError) SetPayload ¶
func (o *UpdateTriggerInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update trigger internal server error response
func (*UpdateTriggerInternalServerError) WithPayload ¶
func (o *UpdateTriggerInternalServerError) WithPayload(payload *models.ErrorMessage) *UpdateTriggerInternalServerError
WithPayload adds the payload to the update trigger internal server error response
func (*UpdateTriggerInternalServerError) WriteResponse ¶
func (o *UpdateTriggerInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateTriggerOK ¶
UpdateTriggerOK Updated trigger
swagger:response updateTriggerOK
func NewUpdateTriggerOK ¶
func NewUpdateTriggerOK() *UpdateTriggerOK
NewUpdateTriggerOK creates UpdateTriggerOK with default headers values
func (*UpdateTriggerOK) SetPayload ¶
func (o *UpdateTriggerOK) SetPayload(payload *models.Trigger)
SetPayload sets the payload to the update trigger o k response
func (*UpdateTriggerOK) WithPayload ¶
func (o *UpdateTriggerOK) WithPayload(payload *models.Trigger) *UpdateTriggerOK
WithPayload adds the payload to the update trigger o k response
func (*UpdateTriggerOK) WriteResponse ¶
func (o *UpdateTriggerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateTriggerParams ¶
type UpdateTriggerParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Overwrite item if it exists. Default is false.
In: query
*/
Overwrite *string
/*The trigger being updated
Required: true
In: body
*/
Trigger *models.TriggerPut
/*Name of trigger to update
Required: true
In: path
*/
TriggerName string
}
UpdateTriggerParams contains all the bound params for the update trigger operation typically these are obtained from a http.Request
swagger:parameters updateTrigger
func NewUpdateTriggerParams ¶
func NewUpdateTriggerParams() UpdateTriggerParams
NewUpdateTriggerParams creates a new UpdateTriggerParams object no default values defined in spec.
func (*UpdateTriggerParams) BindRequest ¶
func (o *UpdateTriggerParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewUpdateTriggerParams() beforehand.
type UpdateTriggerRequestEntityTooLarge ¶
type UpdateTriggerRequestEntityTooLarge struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateTriggerRequestEntityTooLarge Request entity too large
swagger:response updateTriggerRequestEntityTooLarge
func NewUpdateTriggerRequestEntityTooLarge ¶
func NewUpdateTriggerRequestEntityTooLarge() *UpdateTriggerRequestEntityTooLarge
NewUpdateTriggerRequestEntityTooLarge creates UpdateTriggerRequestEntityTooLarge with default headers values
func (*UpdateTriggerRequestEntityTooLarge) SetPayload ¶
func (o *UpdateTriggerRequestEntityTooLarge) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update trigger request entity too large response
func (*UpdateTriggerRequestEntityTooLarge) WithPayload ¶
func (o *UpdateTriggerRequestEntityTooLarge) WithPayload(payload *models.ErrorMessage) *UpdateTriggerRequestEntityTooLarge
WithPayload adds the payload to the update trigger request entity too large response
func (*UpdateTriggerRequestEntityTooLarge) WriteResponse ¶
func (o *UpdateTriggerRequestEntityTooLarge) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateTriggerURL ¶
type UpdateTriggerURL struct {
Namespace string
TriggerName string
Overwrite *string
// contains filtered or unexported fields
}
UpdateTriggerURL generates an URL for the update trigger operation
func (*UpdateTriggerURL) Build ¶
func (o *UpdateTriggerURL) Build() (*url.URL, error)
Build a url path and query string
func (*UpdateTriggerURL) BuildFull ¶
func (o *UpdateTriggerURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*UpdateTriggerURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*UpdateTriggerURL) SetBasePath ¶
func (o *UpdateTriggerURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*UpdateTriggerURL) String ¶
func (o *UpdateTriggerURL) String() string
String returns the string representation of the path with query string
func (*UpdateTriggerURL) StringFull ¶
func (o *UpdateTriggerURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*UpdateTriggerURL) WithBasePath ¶
func (o *UpdateTriggerURL) WithBasePath(bp string) *UpdateTriggerURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type UpdateTriggerUnauthorized ¶
type UpdateTriggerUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateTriggerUnauthorized Unauthorized request
swagger:response updateTriggerUnauthorized
func NewUpdateTriggerUnauthorized ¶
func NewUpdateTriggerUnauthorized() *UpdateTriggerUnauthorized
NewUpdateTriggerUnauthorized creates UpdateTriggerUnauthorized with default headers values
func (*UpdateTriggerUnauthorized) SetPayload ¶
func (o *UpdateTriggerUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update trigger unauthorized response
func (*UpdateTriggerUnauthorized) WithPayload ¶
func (o *UpdateTriggerUnauthorized) WithPayload(payload *models.ErrorMessage) *UpdateTriggerUnauthorized
WithPayload adds the payload to the update trigger unauthorized response
func (*UpdateTriggerUnauthorized) WriteResponse ¶
func (o *UpdateTriggerUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
Source Files
¶
- delete_trigger.go
- delete_trigger_parameters.go
- delete_trigger_responses.go
- delete_trigger_urlbuilder.go
- fire_trigger.go
- fire_trigger_parameters.go
- fire_trigger_responses.go
- fire_trigger_urlbuilder.go
- get_all_triggers.go
- get_all_triggers_parameters.go
- get_all_triggers_responses.go
- get_all_triggers_urlbuilder.go
- get_trigger_by_name.go
- get_trigger_by_name_parameters.go
- get_trigger_by_name_responses.go
- get_trigger_by_name_urlbuilder.go
- update_trigger.go
- update_trigger_parameters.go
- update_trigger_responses.go
- update_trigger_urlbuilder.go